xwiimote 2

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
xwii_event Struct Reference
Device Events

Event Object. More...

`#include <xwiimote.h>`

## Data Fields
struct timeval | time
| timestamp when this event was generated (copied from kernel)
unsigned int | type
| event type ref xwii_event_types
union xwii_event_union | v
| data payload

## Detailed Description

Event Object.

Every event is reported via this structure. Note that even though this object reserves some space, it may grow in the future. It is not guaranteed to stay at this size. That's why functions dealing with it always accept an additional size argument, which is used for backwards-compatibility to not write beyond object-boundaries.

The documentation for this struct was generated from the following file:

- lib/xwiimote.h